Error message about https transport could be more useful

Bug #591558 reported by Scott Kitterman on 2010-06-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: apt

I was trying to access a private PPA and on the first update attempt got:

$ sudo apt-get update
E: The method driver /usr/lib/apt/methods/https could not be found.

What I needed to do was install apt-transport-https. It seems apt could give a more useful error message here. Something like:

E: The method https driver could not be found. Please install the apt-transport-https package.

Changed in apt (Ubuntu):
importance: Undecided → Low
Changed in apt (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers